CREATE TABLE cst_qpp_nt_14955_dyd (
    CST_INV_TRANSACTION_ID            NUMBER(18, 0)    NOT NULL,
    CST_INV_TRANSACTION_DTL_ID        NUMBER(18, 0),
    EXTERNAL_SYSTEM_REFERENCE         VARCHAR2(240)    NOT NULL,
    EXTERNAL_SYSTEM_REF_ID            VARCHAR2(120)    NOT NULL,
    COST_ORG_ID                       NUMBER(18, 0)    NOT NULL,
    INVENTORY_ORG_ID                  NUMBER(18, 0)    NOT NULL,
    INVENTORY_ITEM_ID                 NUMBER(18, 0)    NOT NULL,
    COST_TRANSACTION_TYPE             VARCHAR2(60) ,
    BASE_TXN_TYPE_ID                  NUMBER(18, 0)    NOT NULL,
    BASE_TXN_SOURCE_TYPE_ID           NUMBER(18, 0)    NOT NULL,
    BASE_TXN_ACTION_ID                NUMBER(18, 0)    NOT NULL,
    LOGICAL_FLAG                      VARCHAR2(4)      NOT NULL,
    INTRANSIT_FLAG                    VARCHAR2(4)      NOT NULL,
    ADDITIONAL_PROCESSING_CODE        VARCHAR2(960),
    RUN_MODE                          VARCHAR2(20)     NOT NULL,
    TRANSACTION_DATE                  TIMESTAMP(6)     NOT NULL,
    HDR_TRANSACTION_QTY               NUMBER           NOT NULL,
    TRANSACTION_UOM_CODE              VARCHAR2(12)     NOT NULL,
    HDR_PRIMARY_QTY                   NUMBER           NOT NULL,
    PRIMARY_UOM_CODE                  VARCHAR2(12)     NOT NULL,
    HDR_SECONDARY_TXN_QTY             NUMBER       ,
    SECONDARY_TRANSACTION_UOM_CODE    VARCHAR2(12) ,
    EXPENSE_TRANSACTION_FLAG          VARCHAR2(4)  ,
    SUBINVENTORY_CODE                 VARCHAR2(40) ,
    LOCATOR_ID                        NUMBER(18, 0),
    PARENT_TRANSACTION_ID             NUMBER(18, 0),
    PARENT_CST_INV_TRANSACTION_ID     NUMBER(18, 0),
    OWNING_COST_ORG_ID                NUMBER(18, 0),
    TRANSFER_TRANSACTION_ID           NUMBER(18, 0),
    TRANSFER_CST_INV_TXN_ID           NUMBER(18, 0),
    TRANSFER_COST_ORG_ID              NUMBER(18, 0),
    TRANSFER_INVENTORY_ORG_ID         NUMBER(18, 0),
    TRANSFER_SUBINVENTORY_CODE        VARCHAR2(200),
    TRANSFER_LOCATOR_ID               NUMBER(18, 0),
    FOB_POINT                         NUMBER(1, 0) ,
    RCV_TRANSACTION_ID                NUMBER(18, 0),
    PO_DISTRIBUTION_ID                NUMBER(18, 0),
    WSH_DELIVERY_DETAIL_ID            NUMBER(18, 0),
    DOO_FULLFILL_LINE_ID              NUMBER(18, 0),
    CODE_COMBINATION_ID               NUMBER(18, 0),
    TXN_SOURCE_DOC_TYPE               VARCHAR2(200),
    TXN_SOURCE_DOC_NUMBER             VARCHAR2(200),
    TXN_SOURCE_REF_DOC_TYPE           VARCHAR2(200),
    TXN_SOURCE_REF_DOC_NUMBER         VARCHAR2(200),
    TXN_GROUP_ID                      NUMBER(18, 0),
    STATUS                            VARCHAR2(120),
    BUSINESS_UNIT_ID                  NUMBER(18, 0)    NOT NULL,
    PRICING_OPTION                    NUMBER(18, 0),
    TRANSACTION_FLOW_TYPE             NUMBER(18, 0),
    TRANSFER_PERCENTAGE               NUMBER       ,
    INTERNAL_PROFIT_TRACKING          VARCHAR2(4)  ,
    USE_ITEM_COST_FLAG                VARCHAR2(4)      NOT NULL,
    FROM_GRADE_CODE                   VARCHAR2(600),
    TO_GRADE_CODE                     VARCHAR2(600),
    ADDN_TXN_CREATED_FLAG             VARCHAR2(4)  ,
    TRANSFER_LINKED_FLAG              VARCHAR2(4)  ,
    ACCRUAL_EXTERNAL_SYSTEM_REF_ID    NUMBER(18, 0),
    PRIOR_EXTERNAL_SYSTEM_REF_ID      NUMBER(18, 0),
    LEGAL_ENTITY_ID                   NUMBER(18, 0),
    BILL_TO_BU_ID                     NUMBER(18, 0),
    OWNERSHIP_CHANGE_TXN_ID           NUMBER(18, 0),
    OWNERSHIP_CHANGE_EVENT_TYPE       VARCHAR2(120),
    SUCCESSOR_BUSINESS_UNIT_ID        NUMBER(18, 0),
    SUCCESSOR_INVENTORY_ORG_ID        NUMBER(18, 0),
    PRIOR_BUSINESS_UNIT_ID            NUMBER(18, 0),
    PRIOR_INVENTORY_ORG_ID            NUMBER(18, 0),
    OWNERSHIP_CHANGE_SYSTEM_REF       VARCHAR2(400),
    PO_LINE_LOCATION_ID               NUMBER(18, 0),
    TRANSFER_TO_REGULAR_TXN_ID        NUMBER(18, 0),
    CONSIGNED_FLAG                    VARCHAR2(4)  ,
    PO_UOM_CODE                       VARCHAR2(12) ,
    PO_DOC_TXN_QUANTITY               NUMBER       ,
    OWNER_TYPE                        NUMBER(18, 0),
    OWNING_ENTITY_ID                  NUMBER(18, 0),
    CST_INV_TRANSACTION_ID            NUMBER(18, 0)    NOT NULL,
    CST_INV_TRANSACTION_DTL_ID        NUMBER(18, 0),
    EXTERNAL_SYSTEM_REFERENCE         VARCHAR2(240)    NOT NULL,
    EXTERNAL_SYSTEM_REF_ID            VARCHAR2(120)    NOT NULL,
    COST_ORG_ID                       NUMBER(18, 0)    NOT NULL,
    INVENTORY_ORG_ID                  NUMBER(18, 0)    NOT NULL,
    INVENTORY_ITEM_ID                 NUMBER(18, 0)    NOT NULL,
    COST_TRANSACTION_TYPE             VARCHAR2(60) ,
    BASE_TXN_TYPE_ID                  NUMBER(18, 0)    NOT NULL,
    BASE_TXN_SOURCE_TYPE_ID           NUMBER(18, 0)    NOT NULL,
    BASE_TXN_ACTION_ID                NUMBER(18, 0)    NOT NULL,
    LOGICAL_FLAG                      VARCHAR2(4)      NOT NULL,
    INTRANSIT_FLAG                    VARCHAR2(4)      NOT NULL,
    ADDITIONAL_PROCESSING_CODE        VARCHAR2(960),
    RUN_MODE                          VARCHAR2(20)     NOT NULL,
    TRANSACTION_DATE                  TIMESTAMP(6)     NOT NULL,
    HDR_TRANSACTION_QTY               NUMBER           NOT NULL,
    TRANSACTION_UOM_CODE              VARCHAR2(12)     NOT NULL,
    HDR_PRIMARY_QTY                   NUMBER           NOT NULL,
    PRIMARY_UOM_CODE                  VARCHAR2(12)     NOT NULL,
    HDR_SECONDARY_TXN_QTY             NUMBER       ,
    SECONDARY_TRANSACTION_UOM_CODE    VARCHAR2(12) ,
    EXPENSE_TRANSACTION_FLAG          VARCHAR2(4)  ,
    SUBINVENTORY_CODE                 VARCHAR2(40) ,
    LOCATOR_ID                        NUMBER(18, 0),
    PARENT_TRANSACTION_ID             NUMBER(18, 0),
    PARENT_CST_INV_TRANSACTION_ID     NUMBER(18, 0),
    OWNING_COST_ORG_ID                NUMBER(18, 0),
    TRANSFER_TRANSACTION_ID           NUMBER(18, 0),
    TRANSFER_CST_INV_TXN_ID           NUMBER(18, 0),
    TRANSFER_COST_ORG_ID              NUMBER(18, 0),
    TRANSFER_INVENTORY_ORG_ID         NUMBER(18, 0),
    TRANSFER_SUBINVENTORY_CODE        VARCHAR2(200),
    TRANSFER_LOCATOR_ID               NUMBER(18, 0),
    FOB_POINT                         NUMBER(1, 0) ,
    RCV_TRANSACTION_ID                NUMBER(18, 0),
    PO_DISTRIBUTION_ID                NUMBER(18, 0),
    WSH_DELIVERY_DETAIL_ID            NUMBER(18, 0),
    DOO_FULLFILL_LINE_ID              NUMBER(18, 0),
    CODE_COMBINATION_ID               NUMBER(18, 0),
    TXN_SOURCE_DOC_TYPE               VARCHAR2(200),
    TXN_SOURCE_DOC_NUMBER             VARCHAR2(200),
    TXN_SOURCE_REF_DOC_TYPE           VARCHAR2(200),
    TXN_SOURCE_REF_DOC_NUMBER         VARCHAR2(200),
    TXN_GROUP_ID                      NUMBER(18, 0),
    STATUS                            VARCHAR2(120),
    BUSINESS_UNIT_ID                  NUMBER(18, 0)    NOT NULL,
    PRICING_OPTION                    NUMBER(18, 0),
    TRANSACTION_FLOW_TYPE             NUMBER(18, 0),
    TRANSFER_PERCENTAGE               NUMBER       ,
    INTERNAL_PROFIT_TRACKING          VARCHAR2(4)  ,
    USE_ITEM_COST_FLAG                VARCHAR2(4)      NOT NULL,
    FROM_GRADE_CODE                   VARCHAR2(600),
    TO_GRADE_CODE                     VARCHAR2(600),
    ADDN_TXN_CREATED_FLAG             VARCHAR2(4)  ,
    TRANSFER_LINKED_FLAG              VARCHAR2(4)  ,
    ACCRUAL_EXTERNAL_SYSTEM_REF_ID    NUMBER(18, 0),
    PRIOR_EXTERNAL_SYSTEM_REF_ID      NUMBER(18, 0),
    LEGAL_ENTITY_ID                   NUMBER(18, 0),
    BILL_TO_BU_ID                     NUMBER(18, 0),
    OWNERSHIP_CHANGE_TXN_ID           NUMBER(18, 0),
    OWNERSHIP_CHANGE_EVENT_TYPE       VARCHAR2(120),
    SUCCESSOR_BUSINESS_UNIT_ID        NUMBER(18, 0),
    SUCCESSOR_INVENTORY_ORG_ID        NUMBER(18, 0),
    PRIOR_BUSINESS_UNIT_ID            NUMBER(18, 0),
    PRIOR_INVENTORY_ORG_ID            NUMBER(18, 0),
    OWNERSHIP_CHANGE_SYSTEM_REF       VARCHAR2(400),
    PO_LINE_LOCATION_ID               NUMBER(18, 0),
    TRANSFER_TO_REGULAR_TXN_ID        NUMBER(18, 0),
    CONSIGNED_FLAG                    VARCHAR2(4)  ,
    PO_UOM_CODE                       VARCHAR2(12) ,
    PO_DOC_TXN_QUANTITY               NUMBER       ,
    OWNER_TYPE                        NUMBER(18, 0),
    OWNING_ENTITY_ID                  NUMBER(18, 0)
);
